Package com.orchestranetworks.service

# Class ValidationSpec

java.lang.Object
com.orchestranetworks.service.ValidationSpec

public final class ValidationSpec extends Object
Defines the properties for validating a dataset, a table or a record.

Since:
  5.9.0
See Also:
  - `Adaptation.getValidationReport(ValidationSpec)`
  - `Adaptation.getValidationReportForNode(SchemaNode, ValidationSpec)`
  - `AdaptationTable.getValidationReport(ValidationSpec)`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ValidationSpec.RefreshPolicy`
  Defines the refresh policy for validating a dataset, a table or a record.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidationSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValidationSpec.RefreshPolicy`
  `getRefreshPolicy()`
  `boolean`
  `isActivationEnsured()`
  Indicates if the validation must also ensure that the current dataset is `activated`.
  `boolean`
  `isResultLogged()`
  Indicates if the result of the validation must be added to the logs generated by EBX®.
  `void`
  `setActivationEnsured(boolean ensureActivation)`
  Specifies if the validation must also check that the current dataset is `activated`.
  `void`
  `setRefreshPolicy(ValidationSpec.RefreshPolicy aPolicy)`
  Specifies the refresh policy when validating a dataset, a table or a record.
  `void`
  `setResultLogged(boolean logValidationResult)`
  Specifies if the result of the validation must be added to the logs generated by EBX®.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidationSpec

    public ValidationSpec()

- ## Method Details

  - ### isActivationEnsured

    public boolean isActivationEnsured()
    Indicates if the validation must also ensure that the current dataset is `activated`.
    See Also:
      - `setActivationEnsured(boolean)`

  - ### setActivationEnsured

    public void setActivationEnsured(boolean ensureActivation)
    Specifies if the validation must also check that the current dataset is `activated`.

    By default, this property is set to `true`.

    Parameters:
      `ensureActivation` - if `true`, the validation also checks that the current dataset `activated` (it adds an error if this is not the case).

  - ### isResultLogged

    public boolean isResultLogged()
    Indicates if the result of the validation must be added to the logs generated by EBX®.
    See Also:
      - `setResultLogged(boolean)`

  - ### setResultLogged

    public void setResultLogged(boolean logValidationResult)
    Specifies if the result of the validation must be added to the logs generated by EBX®.

    This property is ignored when validating a record or a field. That is, the result of the validation of a record or a field is never added to the logs of EBX®.

    By default this property is set to `true` when validating a dataset or a table.

  - ### setRefreshPolicy

    public void setRefreshPolicy(ValidationSpec.RefreshPolicy aPolicy)
    Specifies the refresh policy when validating a dataset, a table or a record.
    See Also:
      - `ValidationSpec.RefreshPolicy`

  - ### getRefreshPolicy

    public ValidationSpec.RefreshPolicy getRefreshPolicy()
    See Also:
      - `setRefreshPolicy(RefreshPolicy)`